
Foreman - Bug #32437

Webpack-dev-server doesn't support http2

04/28/2021 07:37 AM - Ron Lavi

Status: Closed   

Priority: Normal   

Assignee: Ron Lavi   

Category: Development tools   

Target version:    

Difficulty:  Fixed in Releases: 3.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8475

  

Description

The issue is that node v10+ doesn't support spdy,

and it's not possible in webpack-dev-server v2 the pass the correct option in order to disable h2,

on newer webpack-dev-server versions this issue is resolved

Associated revisions

Revision f5a3dd2d - 07/29/2021 12:48 PM - Ron Lavi

Fixes #32437 - Use webpack-dev-server-without-h2

Looks like webpack-dev-server version 2.x

can't support https without http2 due to missing options

when using command line parameters,

this is an hack that will prevent manually removing a line

after each `npm install` and will give us some air

while trying to upgrade to webpack 5.

History

#1 - 04/28/2021 07:51 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8475 added

#2 - 07/29/2021 12:48 PM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#3 - 07/29/2021 01:04 PM - Ron Lavi

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|f5a3dd2dedb569a0e6c5e8bb311c1da75906fc4f.

#4 - 08/08/2021 11:37 AM - Tomer Brisker

- Category set to Development tools
